using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

namespace Replikanto
{
	public class LocalizedValueCollection : ReadOnlyCollection<LocalizedValue>
	{
		public LocalizedValueCollection(IList<LocalizedValue> list)
			: base(list)
		{
		}

		public LocalizedValue this[int index]
		{
			get
			{
				return base[index];
			}
		}

		public LocalizedValue this[object value]
		{
			get
			{
				LocalizedValueCollection.<>c__DisplayClass4_0 CS$<>8__locals1 = new LocalizedValueCollection.<>c__DisplayClass4_0();
				CS$<>8__locals1.object_0 = value;
				return this.First(new Func<LocalizedValue, bool>(CS$<>8__locals1.method_0));
			}
		}
	}
}
